import { Manager } from './';
export declare class ContainerManager extends Manager {
    private _container;
    private _viewerContainer;
    private previousContainerHeight;
    private resizeObserver;
    get rootContainer(): HTMLElement;
    get container(): HTMLDivElement;
    get viewerContainer(): HTMLDivElement;
    get isContainerRtl(): boolean;
    init(): void;
    reset(): void;
    containsElement(element: Node | null): boolean;
    focus(): void;
    setScaleFactor(scale: number): void;
    private updateContainerHeightCss;
    private onResizeObserver;
}
